Bug 553474 - [abrt] crash in evolution-2.28.2-1 gtk, e_msg_composer_new, hibernation
Summary: [abrt] crash in evolution-2.28.2-1 gtk, e_msg_composer_new, hibernation
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:37dea664cdbc9a7bffb78dfea64...
Keywords:
: 553660 575405 585929 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-07 23:56 UTC by Casey Peel
Modified: 2010-12-04 00:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 00:43:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (66.76 KB, text/plain)
2010-01-07 23:56 UTC, Casey Peel
no flags Details

Description Casey Peel 2010-01-07 23:56:03 UTC
abrt 1.0.3 detected a crash.

Comment: This is likely a fluke, or at least a hard-to-reproduce problem. Evolution seg faulted when I clicked the 'New Email' button from the taskbar. This was the first email I attempted to compose after waking the computer up from hiberation this morning. Maybe the debuginfo might provide some useful info.
Attached file: backtrace
cmdline: evolution
component: evolution
executable: /usr/bin/evolution
kernel: 2.6.31.9-174.fc12.i686
package: evolution-2.28.2-1.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 Casey Peel 2010-01-07 23:56:06 UTC
Created attachment 382366 [details]
File: backtrace

Comment 2 Milan Crha 2010-01-13 13:23:09 UTC
Thanks for a bug report. It's trying to create a new composer window bug fails somewhere "in the middle". Evolution used to be very bad with respect of hibernation, but usually with lost network connections and such, and this bug is somewhere in gtk, with newly allocated memory, thus it seems to me like a coincidence, than a necessary step to resume from hibernation. The most i can see in the backtrace is that you were creating a new message in your IMAP Inbox folder. Are you able to reproduce this even without hibernation, and what is your gtk2 version, please?

Comment 3 Milan Crha 2010-01-13 13:36:38 UTC
*** Bug 553660 has been marked as a duplicate of this bug. ***

Comment 4 Casey Peel 2010-02-10 16:31:37 UTC
I am not able to reproduce it sans hibernation and moreover I'm no longer able to reproduce it after getting a yum gtk update.

During when the problem was occurring consistently I was at gtk2-2.18.5-4.fc12.i686. It looks like I updated to gtk2-2.18.6-3.fc12.i686 on Jan 29th and the problem seems to have gone away.

Comment 5 Casey Peel 2010-02-11 15:52:46 UTC
I spoke too soon - I had another crash with the "wake up from hibernate, try to compose a message" scenario this morning. I've still been unable to reproduce this without the hibernate.

Would you like for me to upload the latest crash (and if so, do you mind if I just use the automated abrt method instead of trying to figure out how to attach it to this bug)?

Comment 6 Milan Crha 2010-02-12 09:02:22 UTC
I guess not(In reply to comment #5)
> Would you like for me to upload the latest crash (and if so, do you mind if I
> just use the automated abrt method instead of trying to figure out how to
> attach it to this bug)?    

I guess not, the above is good. As a workaround, try to close Evolution before you suspend your machine.

Comment 7 Karel Klíč 2010-05-25 10:03:37 UTC
*** Bug 575405 has been marked as a duplicate of this bug. ***

Comment 8 Karel Klíč 2010-05-25 10:03:41 UTC
*** Bug 585929 has been marked as a duplicate of this bug. ***

Comment 9 Bug Zapper 2010-11-04 01:35:12 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-04 00:43:27 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.